{ config, lib, ... }:

let
  ifaces = config.pepe.core.network.interfaces;
in
{
  # device.address device.hostname
  generateDeviceStrings = devices: lib.concatStringsSep "\n"
    (lib.mapAttrsToList (name: device: "${device.address} ${device.hostname}") devices);

  getDeviceAddress = interface: device:
    ifaces.${interface}.devices.${device}.address;

  architectInterfaceAddress = interface:
    ifaces.${interface}.devices.architect.address;
}
